<?php

// QuickTalk 2.0.2 build:20090410

class cSYS
{

// -- Properties --

var $sections; // list of sectionstitles (translated) visible for the current user ($oVIP->role)
var $types;    // list of types
var $statuses; // list of statuses
var $topics;   // count topics
var $messages; // count messages
var $members;  // count members
var $states;   // other info
var $output;   // output media (screen,print)

// -- Constructor --

function cSYS()
{
  // Construct if not yet registered

  if ( !isset($_SESSION[QT]['sys_sections']) ) { global $oVIP; $_SESSION[QT]['sys_sections'] = GetSectionTitles($oVIP->role,-1,-1,'',QTF_SHOW_DOMAIN); }
  if ( !isset($_SESSION[QT]['sys_topics']) ) $_SESSION[QT]['sys_topics'] = $this->SysCount('topics');
  if ( !isset($_SESSION[QT]['sys_messages']) ) $_SESSION[QT]['sys_messages'] = $this->SysCount('messages');
  if ( !isset($_SESSION[QT]['sys_members']) ) $_SESSION[QT]['sys_members'] = $this->SysCount('members');
  if ( !isset($_SESSION[QT]['sys_states']) ) $_SESSION[QT]['sys_states'] = $this->SysCount('states');

  // Exit

  $this->types = $this->GetTypes();
  $this->statuses = $this->GetStatuses();
  $this->sections = $_SESSION[QT]['sys_sections'];
  $this->members = $_SESSION[QT]['sys_members'];
  $this->states = $_SESSION[QT]['sys_states'];
  $this->topics = $_SESSION[QT]['sys_topics'];
  $this->messages = $_SESSION[QT]['sys_messages'];
  $this->members = $_SESSION[QT]['sys_members'];
  $this->output = 'screen';
}

// --------

function SysCount($strObject='topics')
{
  // Check
  
  if ( ArgTypeError('str',array($strObject)) ) die('SysCount: Invalid argument type (expect string)');

  // Process
  
  global $oDB;
  switch($strObject)
  {
  case 'topics':
    $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC);
    $row = $oDB->Getrow();
    return intval($row['countid']);
    break;
  case 'messages':
    $oDB->Query('SELECT count(id) as countid FROM '.TABPOST);
    $row = $oDB->Getrow();
    return intval($row['countid']);
    break;
  case 'members':
    $oDB->Query('SELECT count(id) as countid FROM '.TABUSER);
    $row = $oDB->Getrow();
    return intval($row['countid']);
    break;
  case 'states':
    $arr = array();
      $oDB->Query('SELECT max(id) as countid FROM '.TABUSER);
      $row = $oDB->Getrow();
    $arr['newuserid'] = intval($row['countid']);
      $oDB->Query('SELECT name,firstdate FROM '.TABUSER.' WHERE id='.$row['countid'] );
      $row = $oDB->Getrow();
    $arr['newusername'] = $row['name'];
    $arr['newuserdate'] = (empty($row['firstdate']) ? '0' : substr($row['firstdate'],0,8)); // date only
    return $arr;
    break;
  }
}

// --------

function GetStatuses()
{
  global $L;
  return array('0'=>$L['Opened'],'1'=>$L['Closed']);
}

// --------


function GetTypes()
{
  global $L;
  return array('T'=>array('name'=>$L['Topic'],'color'=>''),'A'=>array('name'=>$L['News'],'color'=>''));
}

// --------

}

?>