<?php

// QuickTalk 2.0 build:20090331

if ( !defined('QTF_HTML_DTD') )  define ('QTF_HTML_DTD',  '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/2002/REC-xhtml1-20020801/DTD/xhtml1-strict.dtd">');
if ( !defined('QTF_HTML_CHAR') ) define ('QTF_HTML_CHAR', 'iso-8859-1');
if ( !defined('QTF_HTML_DIR') )  define ('QTF_HTML_DIR',  'ltr');
if ( !defined('QTF_HTML_LANG') ) define ('QTF_HTML_LANG', 'nl');

// Is is recommended to always use capital on first letter in the translation, script changes to lower case if necessary.
// The character doublequote ["] is FORBIDDEN (reserved for html tags)
// To make a single quote use slashe [\']

// -------------
// TOP LEVEL VOCABULARY
// -------------

// Use the top level vocabulary to give the most appropriate name
// for the topics (object items) managed by this application.
// e.g. Ticket, Incident, Subject, Thread, Request, Faq,...

$L['Topic']='Onderwerp';
$L['Topics']='Onderwerpen';
$L['topic']=strtolower($L['Topic']);
$L['topics']=strtolower($L['Topics']);

$L['Y']='Ja';
$L['N']='Nee';
$L['Ok']='Ok';

// Specific vocabulary

$L['Domain']='Domein';
  $L['Domains']='Domeinen';
$L['Section']='Forum';
  $L['Sections']='Forums';
$L['Topic_add']='Nieuwe onderwerp';
  $L['Topic_del']='Onderwerp verwijderen';
  $L['Topic_upd']='Onderwerp bewerken';
$L['User']='Gebruiker';
  $L['Users']='Gebruikers';
  $L['User_add']='Nieuwe gebruiker';
  $L['User_del']='Gebruiker verwijderen';
  $L['User_upd']='Profiel bewerken';
$L['Status']='Statuut';
$L['Message']='Bericht';
  $L['Messages']='Berichten';
  $L['Message_deleted']='Bericht verwijderd...';
$L['Reply']='Antwoord';
  $L['Replys']='Antwoorden';
$L['Forward']='Verstuurd bericht';
  $L['Forwards']='verstuurd berichten';
$L['News']='Info';
  $L['Newss']='Infos'; // In other languages: News=One news, Newss=Several news
  $L['News_stamp']='Nieuws: ';
$L['Attachment']='Attachment';
$L['Drop_attachment']='Attachment wegnemen';
$L['First_message']='Eerste&nbsp;bericht';
$L['Last_message']='Laatste&nbsp;bericht';
$L['Ref']='Ref.';
$L['Title']='Titel';
$L['Smiley']='Smiley';

$L['Username']='Gebruikersnaam';
  $L['Userrole']['A']='Administrator'; $L['Userroles']['A']='Administrators';
  $L['Userrole']['M']='Moderator';     $L['Userroles']['M']='Moderators';
  $L['Userrole']['U']='Gebruiker';     $L['Userroles']['U']='Gebruikers';
  $L['Userrole']['V']='Bezoeker';      $L['Userroles']['V']='Bezoekers';
  $L['Userrole_MF']='Sectie moderator';
$L['Joined']='Geregistreerd op';
$L['Avatar']='Avatar';
$L['Signature']='Onderschrift';
$L['Role']='Rang';
$L['Topic_starter']='Auteur';
$L['Modified_by']='Bewerkt door';
$L['Deleted_by']='Geschrapt door';
$L['Top_participants']='Top deelnemers';
$L['Section_moderator']='Forum moderator';

// Common

$L['Add']='Toevoegen';
$L['Advanced_reply']='Voorproef...';
$L['All']='Alles';
$L['Birthday']='Geboortedatum';
$L['Birthdays_calendar']='Verjaardag agenda';
$L['Birthdays_today']='Gelukkige verjaardag';
$L['By']='Door';
$L['Change']='Bewerk';
$L['Change_status']='Statuut veranderen...';
$L['Change_type']='Type veranderen...';
$L['Changed']='Bewerkt';
$L['Close']='Afsluiten';
$L['Closed']='Gesloten';
$L['Containing']='Bevat';
$L['Date']='Datum';
$L['Dates']='Datum';
$L['Day']='Dag';
$L['Days']='Dagen';
$L['Delete_tags']='Verwijderen (click een tag, of type * om alles te verwijderen)';
$L['Destination']='Bestemming';
$L['Details']='Details';
$L['Display_at']='Tonen op datum van';
$L['Email']='E-mail';
$L['Exit']='Uitrit';
$L['First']='Eerste';
$L['Goto']='Ga naar';
$L['H_Website']='Uw website url (met http://)';
$L['Help']='Hulp';
$L['Hidden']='Verborgen';
$L['I_wrote']='Ik schreef';
$L['Information']='Informatie';
$L['Items_per_month']='Berichten per maand';
$L['Items_per_month_cumul']='Cumul berichten per maand';
$L['Last']='Laatste';
$L['Legend']='Legend';
$L['Location']='Woonplaats';
$L['Maximum']='Maximum';
$L['Minimum']='Minimum';
$L['Month']='Maand';
$L['Next']='Volgende';
$L['None']='Niets';
$L['Options']='Opties';
$L['Opened']='Open';
$L['or']='of';
$L['Page']='pagina';
$L['Pages']='pagina\'s';
$L['Phone']='Telefoon';
$L['Preview']='Voorproef';
$L['Previous']='Vorige';
$L['Privacy']='Priv&eacute;-leven';
$L['Reason']='Reden';
$L['Remove']='Uitwissen';
$L['Result']='Resultaat';
$L['Results']='Resultaten';
$L['Save']='Bewaar';
$L['Seconds']='Seconden';
$L['Selected_from']='geselecteerd uit';
$L['Send']='Zenden';
$L['Send_on_behalf']='Zenden namens';
$L['Tag']='Tag';
$L['Tags']='Tags';
$L['Time']='Uren';
$L['Total']='Totaal';
$L['Type']='Type';
$L['Website']='Website';
$L['Welcome_to']='Welkom voor een nieuwe gebruiker, ';
$L['Year']='Jaar';

// Menu

$L['FAQ']='FAQ';
$L['Search']='Zoeken';
$L['Memberlist']='Gebruikerslijst';
$L['Login']='Inloggen';
$L['Logout']='Uitloggen';
$L['Register']='Registreer';
$L['Profile']='Profiel';
$L['Administration']='Administratie';
$L['Legal']='Privacybeleid';
$L['Coppa_form']='Coppa vorm';

// Section

$L['Post_new_topic']='Nieuw&nbsp;onderwerp'; // use &nbsp; as space to avoid double ligne buttons
$L['Post_reply']='Antwoord'; // use &nbsp; as space to avoid double ligne buttons
$L['Goto_message']='[<b>&raquo;</b>]';
$L['H_Goto_message']='Laatste bericht';
$L['Topic_closed']='Gesloten&nbsp;onderwerp'; // use &nbsp; as space to avoid double ligne buttons
$L['Topic_re-opened']='Heropend onderwerp';
$L['Topic_moved']='Topic moved';
$L['Topic_deleted']='Topic deleted';
$L['Close_my_topic']='Ik sluit mijn onderwerp';
$L['You_reply']='U antwoordt';
$L['Views']='Bekeken';
$L['Quote']='Quote';
$L['Edit']='Bewerken';
$L['Delete']='Uitwissen';
$L['Move']='Verplaatsen';
$L['Move_to']='Verplatsen naar';
$L['Quick_reply']='Snel antwoord';
$L['Previous_replies']='Vorige berichten';
$L['Close_topic']='Sluit dit onderwerp';
$L['Edit_message']='Bewerk bericht';
$L['Delete_message']='Verwijder bericht';
$L['Message_deleted']='Bericht verwijderd...';
$L['Users_deleted']='Gebruikers verwijderd...';
$L['Move_keep']='Houd origineel verwijzing';
$L['Move_reset']='Verwijzingen terug naar 0';
$L['Move_follow']='Nummer volgt het bestemmingsforum';
$L['Topic_closed_show']='Gesloten onderwerpen: tonen';
$L['Topic_closed_hide']='Gesloten onderwerpen: verborgen';
$L['Topic_news_show']='Nieuws: tonen';
$L['Topic_news_hide']='Nieuws: verborgen';
$L['Last_column']='Extra colonne';

// Search

$L['Recent_messages']='Recente&nbsp;berichten';
$L['All_news']='Alle&nbsp;mededelingen';
$L['All_my_topics']='Alle&nbsp;mijn&nbsp;onderwerpen';
$L['Keywords']='Sleutelwoord(en)';
$L['Search_option']='Onderzoeksoptie';
$L['Search_criteria']='Onderzoekscriterium';

$L['Search_by_key']='Zoeken met sleutelwoord(en)';
$L['Search_by_ref']='Zoeken met nummer';
$L['Search_by_date']='Zoeken met datum';

$L['Search_result']='Resultaat van het onderzoek';
$L['In_title_only']='In titel alleen';
$L['In_all_sections']='In alle forums';
$L['Any_time']='Alle tijd';
$L['Any_status']='Alle statuut';
$L['H_Reference']='(typ het numerieke deel)';
$L['Too_many_keys']='Te veel sleutelwoorden';
$L['Search_by_words']='Elk woord afzonderlijk zoeken';
$L['Search_exact_words']='Worden samen zoeken';
$L['This_week']='Deze week';
$L['This_month']='Deze maand';
$L['This_year']='Dit jaar';
$L['With_tag']= 'Met tag';
$L['Show_only_tag']='Tonen alleen deze met tag';
$L['H_Tag_input']='Met de kommapunt, kunt u verschillende tags invoeren (b.v.: t1;t2 betekend berichten met tag "t1" of "t2").';

// Stats

$L['Statistics']='Statistieken';
$L['General_site']='Algemene site';
$L['Section_start_date']='Begin datum';
$L['Distinct_users']='Verschillende gebruikers (met ten minste een bericht ingevuld)';

// Restrictions

$L['R_login_register']='De toegang is beperkt tot slechts leden.<br/><br/>Gelieve in te loggen, of ga naar Registreerd om lid te worden.';
$L['R_member']='De toegang is beperkt tot slechts leden.';
$L['R_staff']='De toegang is beperkt tot slechts moderatoren.';
$L['R_security']='De veiligheid instellingen laten deze functie geen toe.';

// Errors

$L['E_access']='De toegang is beperkt...';
$L['E_char_max']='(maximum %d tekens)';
$L['E_editing']='Data zijn verandered. Verlaten zonder saven?';
$L['E_invalid']='ongeldig';
$L['E_javamail']='Veiligheid: java is nodig om e-mail te zien';
$L['E_line_max']='(maximum %d lijnen)';
$L['E_mandatory']='Verplicht data niet gevonden';
$L['E_missing_http']='url moet met http:// of https:// beginnen';
$L['E_no_desc']='Geen beschrijving';
$L['E_no_public_section']='Dit forum bevat geen openbaar onderwerp. De priv&eacute; forumtoegang vereist login.';
$L['E_no_title']='Een titel is verplicht';
$L['E_section_closed']='Forum&nbsp;is&nbsp;gesloten'; // use &nbsp; as space to avoid double ligne buttons
$L['E_text']='Probleem met uw bericht.';
$L['E_too_long']='Te lang bericht';
$L['E_too_much']='Te veel berichten vandaag...<br/><br/>Om veiligheidsredenen, is de aantallen toegestane posten beperkt. Probeer opnieuw morgen. Bedankt...';
$L['E_topic_private']='(of priv&eacute; onderwerpen)';
$L['E_wait']='Gelieve te wachten een paar seconden';

// Success

$L['S_update']='Voltooide update...';
$L['S_delete']='Schrap voltooid...';
$L['S_insert']='Succesvolle verwezenlijking...';
$L['S_save']='Sparen voltooid...';
$L['S_message_saved']='Bewaard bericht...<br/>Dank u';

// Dates

$L['dateMMM']=array(1=>'Januari','Februari','Maart','April','Mei','Juni','Juli','Augustus','Septembre','Oktober','November','December');
$L['dateMM']=array(1=>'Jan','Feb','Mrt','Apr','Mei','Jun','Jul','Aug','Sep','Okt','Nov','Dec');
$L['dateM']=array(1=>'J','F','M','A','M','J','J','A','S','O','N','D');
$L['dateDDD']=array(1=>'Maandag','Dinsdag','Woensdag','Donderdag','Vrijdag','Zaterdag','Zondag');
$L['dateDD']=array(1=>'Ma','Di','Wo','Do','Vr','Za','Zo');
$L['dateD']=array(1=>'M','D','W','D','V','Z','Z');
$L['dateSQL']=array(
  'January'  => 'januari',
  'February' => 'februari',
  'March'    => 'maart',
  'April'    => 'april',
  'May'      => 'mei',
  'June'     => 'juni',
  'July'     => 'juli',
  'August'   => 'augustus',
  'September'=> 'september',
  'October'  => 'oktober',
  'November' => 'november',
  'December' => 'december',
  'Monday'   => 'maandag',
  'Tuesday'  => 'dinsdag',
  'Wednesday'=> 'woensdag',
  'Thursday' => 'donderdag',
  'Friday'   => 'vrijdag',
  'Saturday' => 'zaterdag',
  'Sunday'   => 'zondag',
  'Today'=>'Vandaag',
  'Yesterday'=>'Gisteren',
  'Jan'=>'jan',  
  'Feb'=>'feb',  
  'Mar'=>'mrt',  
  'Apr'=>'apr',  
  'May'=>'mei',  
  'Jun'=>'jun',  
  'Jul'=>'jul',  
  'Aug'=>'aug',  
  'Sep'=>'sep',  
  'Oct'=>'okt',  
  'Nov'=>'nov',  
  'Dec'=>'dec',  
  'Mon'=>'ma',   
  'Tue'=>'di',   
  'Wed'=>'wo',   
  'Thu'=>'do',   
  'Fri'=>'vr',   
  'Sat'=>'za',   
  'Sun'=>'zo');
  
?>