<?php

// QuickTalk 2.0 build:20090331

ob_start();

// --------
// INITIALISE
// --------

// check LangMenu condition

$strLangMenu = '';
if ( $_SESSION[QT]['userlang']=='1' )
{
  if ( file_exists('bin/qtf_lang.php') )
  {
    include('bin/qtf_lang.php');
    $strURI = QTargimplode(QTargadd(QTargexplode(),'lx'));
    $strLangMenu = '';
    foreach($arrLang as $strKey=>$arrDef)
    {
    $strLangMenu .= '<a href="'.$oVIP->selfurl.'?'.$strURI.'&amp;lx='.$strKey.'" title="'.$arrDef[1].'" class="'.($_SESSION[QT]['show_banner']=='1' ? 'banner' : 'nobanner').'">'.$arrDef[0].'</a>&nbsp;';
    }
  }
  else
  {
    $strLangMenu .= '<span class="small">missing file:bin/qtf_lang.php</span>';
  }
}  

// Contrast

if ( QTF_SHOW_CONTRAST )
{
  if ( !isset($strHeadScript) ) $strHeadScript='';
  if ( !isset($arrCss) ) $arrCss=array();
  $arrCss[]='qtf_contrast.css';
  $strHeadScript .= '<script type="text/javascript" src="bin/css/qtf_contrast.js"></script>'.N;
  $strLangMenu .= '<a class="css-default" href="javascript:chooseStyle(\'cssalternate\',60);"><img style="width:12px;height:12px;vertical-align:middle" src="bin/css/qtf_contrast.gif" title="High contrast display" alt="Contrast"/></a><a class="css-alternate" href="javascript:chooseStyle(\'cssmain\',60);"><img style="width:12px;height:12px;border-width:0;vertical-align:middle" src="bin/css/qtf_contrast.gif" title="Default display" alt="Contrast"/></a>';
}

// Menus
// [h]Header [f]Footer [n]Name [u]Url [s](optional) URLs valid for this menu item

$arrMenus = array();
if ( $_SESSION[QT]['home_menu']=='1' && !empty($_SESSION[QT]['home_url']) )
{
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$_SESSION[QT]['home_name'], 'u'=>$_SESSION[QT]['home_url']);
}
$arrMenus[]=array('h'=>false,'f'=>true, 'n'=>$L['Legal'], 'u'=>'qtf_privacy.php');
$arrMenus[]=array('h'=>false,'f'=>true, 'n'=>$L['FAQ'], 'u'=>'qtf_faq.php');
//$arrMenus[]=array('h'=>QTF_SHOW_FAQMENU,'f'=>true, 'n'=>$L['FAQ'], 'u'=>'qtf_faq.php');
$arrMenus[]=array('h'=>true, 'f'=>false,'n'=>ObjTrans('index','i',$_SESSION[QT]['index_name']), 'u'=>'qtf_index.php', 's'=>'qtf_index.php qtf_calendar.php qtf_topics.php qtf_topic.php');
$arrMenus[]=array('h'=>true, 'f'=>false,'n'=>$L['Memberlist'], 'u'=>'qtf_members.php', 's'=>'qtf_members.php');
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Search'], 'u'=>( $_SESSION[QT]['board_offline']=='1' || ($oVIP->role=='V' && $_SESSION[QT]['visitor_right']<3) ? '' : 'qtf_search.php'));
if ( CanPerform('show_stats',$oVIP->role) ) 
{
$arrMenus[]=array('h'=>false,'f'=>true, 'n'=>$L['Statistics'], 'u'=>($_SESSION[QT]['board_offline']=='1' ? '' : 'qtf_stats.php'));
}
if ( $oVIP->auth )
{
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Profile'], 'u'=>($_SESSION[QT]['board_offline']=='1' ? '' : 'qtf_usr.php?id='.$oVIP->id), 's'=>'qtf_usr.php qtf_usr_img.php.php qtf_usr_sign.php qtf_usr_pwd_chg.php');
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Logout'], 'u'=>'qtf_usr_login.php?a=out');
}
else
{
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Register'], 'u'=>($_SESSION[QT]['board_offline']=='1' ? '' : 'qtf_usr_new.php'));
$arrMenus[]=array('h'=>true, 'f'=>true, 'n'=>$L['Login'], 'u'=>'qtf_usr_login.php');
}

// --------
// HTML START
// --------

// ============
switch($oSYS->output)
{
case 'screen':
// ============

// check header content

$bLegend = true;
if ( $_SESSION[QT]['board_offline']=='1' ) $bLegend=false;
if ( $_SESSION[QT]['show_legend']!='1' ) $bLegend=false;
if ( !in_array($oVIP->selfurl,array('index.php','qtf_index.php','qtf_topics.php','qtf_calendar.php','qtf_topic.php','qtf_search_re.php')) ) $bLegend=false;

if ( !isset($arrCss) ) $arrCss=array();
if ( isset($strHeaderAddCss) ) $arrCss[]=$strHeaderAddCss;

HtmlHead('','',$arrCss,(isset($strHeadScript) ? $strHeadScript : ''),(isset($bJava) ? $bJava : false),(isset($intBbc) ? $intBbc : 0),(isset($bIE) ? $bIE : false));

echo '
<body'.(isset($strBodyAddOnload) ? ' onload="'.$strBodyAddOnload.'"': '').(isset($strBodyAddOnunload) ? ' onunload="'.$strBodyAddOnunload.'"': '').'>
';

// PAGE

HtmlPageCtrl(0,$_SESSION[QT]['site_width']);

// BANNER

if ( $_SESSION[QT]['show_banner']=='1' ) { HtmlBanner(0,null,null,$strLangMenu); } else { HtmlBanner(1,null,null,$strLangMenu); }

// MENU LINE

echo '<!-- MENU LINE -->',N;
echo '<table class="menu" cellspacing="0">',N;
echo '<tr class="menu">',N;

// user icon
echo '<td class="menu_ico">',($oVIP->role=='V' ? AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_0.gif','-',$L['Ico_user_p_0'],'ico_user') : AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','-',$L['Ico_user_p_1'],'ico_user')),'</td>',N;
echo '<td class="menu_sep"></td>',N;

// user name
echo '<td class="menu_usr">&nbsp;',($oVIP->role=='V' ? $L['Userrole']['V'] : $oVIP->username),'</td>',N;
echo '<td class="menu_sep"></td>',N;

$i=0;
foreach($arrMenus as $arrMenu) {
if ( $arrMenu['h'] ) {
  if ( !isset($arrMenu['s']) ) $arrMenu['s']=$arrMenu['u'];
  if ( $i!=0 ) echo '<td class="menu_sep"></td>',N;
  $i++;
  echo '<td class="menu"'.(strstr($arrMenu['s'],$oVIP->selfurl) ? ' id="menuactif"' : '').'>';
  if ( empty($arrMenu['u']) )
  {
  echo '<span class="menu_off">',$arrMenu['n'],'</span>';
  }
  else
  {
  echo '<a class="menu" href="',$arrMenu['u'],'"',($arrMenu['u']==$oVIP->selfurl ? ' onclick="return false;"' : ''),'>',$arrMenu['n'],'</a>';
  }
  echo '</td>',N;
}}

echo '</tr>
</table>
<!-- END MENU LINE -->
';

// WELCOME

$b = true;
if ( in_array($oVIP->selfurl,array('qtf_usr_new.php','qtf_form_reg.php','qtf_cmd.php')) ) $b = false;
if ( $_SESSION[QT]['sys_welcome']=='0' ) $b = false;
if ( $_SESSION[QT]['sys_welcome']=='1' && $oVIP->auth) $b = false;
if ( $_SESSION[QT]['board_offline']=='1' ) $b = false;
if ( !file_exists($_SESSION[QT]['language'].'/sys_welcome.txt') ) $b = false;
if ( $b )
{
echo '
<!-- WELCOME -->
<table class="welcome"><tr class="welcome"><td class="welcome">
';
include($_SESSION[QT]['language'].'/sys_welcome.txt');
echo '</td></tr></table>
<!-- END WELCOME -->
';
}

// LINE START

echo '
<!-- BODY -->
<div class="body"><div class="body_in">
<!-- BODY TOP -->
<table class="body_hd" cellspacing="0">
<tr class="body_hd">
<td class="body_hd_l"><img class="body_hd_l" src="',$_SESSION[QT]['skin_dir'],'/ico_hd_left.gif" alt=""/></td>
<td class="body_hd_c"><a class="body_hd" href="qtf_index.php">',ObjectName('index','i',$_SESSION[QT]['index_name']),'</a>';

if ( isset($s) ) {
if ( is_int($s) ) {
if ( $s>=0 ) {
  echo QTF_CRUMBTRAIL,'<a class="body_hd" href="qtf_topics.php?s=',$s,'"',($oVIP->selfurl=='qtf_topics.php' ? ' onclick="return false;"' : ''),'>',ObjTrans('sec',"s$s",(isset($oSEC) ? $oSEC->name : $oSYS->sections[$s])),'</a>';
  if ( isset($oTopic) && isset($oSEC) )
  {
    if ( $oTopic->numid>=0 && $oSEC->numfield!='N' ) echo QTF_CRUMBTRAIL,sprintf($oSEC->numfield,$oTopic->numid);
  }
}}}

echo '</td>',N;

echo '<td class="body_hd_c" style="text-align:right">&nbsp;';

switch($oVIP->selfurl)
{
case 'qtf_stats.php':
  $strURI = QTargimplode(QTargadd(QTargexplode(),'view'));
  break;
case 'qtf_topic.php':
  $strURI = QTargimplode(QTargadd(QTargexplode(),'view'));

  if ( $_SESSION[QT]['viewmode']=='C' )
  {
  echo '<a href="',$oVIP->selfurl,'?',$strURI,'&amp;view=N"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N"/></a>&nbsp;';
  echo '<img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C"/>';
  }
  else
  {
  echo '<img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N"/>&nbsp;';
  echo '<a href="',$oVIP->selfurl,'?',$strURI,'&amp;view=C"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C"/></a>';
  }
  break;
case 'qtf_members.php':
  if ( !empty($_SESSION[QT]['avatar']) )
  {
    if ( $_SESSION[QT]['viewmode']=='C' )
    {
    echo '<a href="qtf_members.php?view=N"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N"/></a>&nbsp;';
    echo '<img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C"/>';
    }
    else
    {
    echo '<img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_n.gif" title="',$L['Ico_view_n'],'" alt="N"/>&nbsp;';
    echo '<a href="qtf_members.php?view=C"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_c.gif" title="',$L['Ico_view_c'],'" alt="C"/></a>';
    }
  }
  break;
}

if ( QTF_SHOW_PRINT ) {
if ( file_exists(substr($oVIP->selfurl,0,-4).'_prt.php') ) {
  echo '&nbsp;<a href="',substr($oVIP->selfurl,0,-4),'_prt.php',(isset($strURI) ? '?'.$strURI : ''),'"><img class="ico i_modes" src="',$_SESSION[QT]['skin_dir'],'/ico_view_p.gif" title="',$L['Ico_view_p'],'" alt="P"/></a>';
}}
echo '</td>',N;

echo '<td class="body_hd_r"><img class="body_hd_r" src="',$_SESSION[QT]['skin_dir'],'/ico_hd_right.gif" alt=""/></td>',N;
echo '</tr>',N;
echo '</table>',N;
echo '<!-- END BODY TOP -->',N,N;

// BODY START

echo '<!-- BODY MAIN -->',N;
echo '<table width="100%" cellspacing="0" class="body"><tr class="body"><td class="body">',N;
echo '<!-- BODY MAIN -->',N,N;

// ============
break;
case 'print':
// ============

echo QTF_HTML_DTD,'
<html xmlns="http://www.w3.org/1999/xhtml" dir="',QTF_HTML_DIR,'" xml:lang="',QTF_HTML_LANG,'">
<head>
<title>',$_SESSION[QT]['site_name'],'</title>
<meta http-equiv="content-type" content="text/html; charset=',QTF_HTML_CHAR,'"/>
<link rel="shortcut icon" href="',$_SESSION[QT]['skin_dir'],'/qtf_icon.ico"/>
<link rel="stylesheet" type="text/css" href="',$_SESSION[QT]['skin_dir'],'/qtf_print.css"/>',N;
if ( isset($strHeadScript) ) echo $strHeadScript,N;
echo '</head>

<body'.(isset($strBodyAddOnload) ? ' onload="'.$strBodyAddOnload.'"': '').(isset($strBodyAddOnunload) ? ' onunload="'.$strBodyAddOnunload.'"': '').'>';

// BANNER

if ( $_SESSION[QT]['show_banner']=='1' ) Htmlbanner(2,$_SESSION[QT]['skin_dir'],'qtf_logo_prt.gif');

// ============
break;
}
// ============

?>