<?php

// QuicTalk 2.0 build:20090331

// INITIALISE

$oSYS->output='print';

$arrSections = GetSectionTitles($oVIP->role);

$arrTable = array();

$intYear = date('Y');
  if ( intval(date('n'))<2 ) $intYear--;
  if ( isset($_GET['year']) ) $intYear = intval($_GET['year']);
$arrYears = array($intYear-1=>$intYear-1,$intYear=>$intYear);

$s = -1; if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( $s>=0 ) { $strSection = 'section='.$s.' AND'; } else { $strSection=''; }

$tt = 'g';
if ( isset($_GET['tt']) ) $tt = strip_tags($_GET['tt']);
if ( isset($_POST['tt']) ) $tt = strip_tags($_POST['tt']);
$bt = 'm';
if ( isset($_GET['bt']) ) $bt = strip_tags($_GET['bt']);
if ( isset($_POST['bt']) ) $bt = strip_tags($_POST['bt']);
$gr = 'a';
if ( isset($_GET['gr']) ) $gr = strip_tags($_GET['gr']);
if ( isset($_POST['gr']) ) $gr = strip_tags($_POST['gr']);
$tr = 'a';
if ( isset($_GET['tr']) ) $tr = strip_tags($_GET['tr']);
if ( isset($_POST['gr']) ) $tr = strip_tags($_POST['tr']);

  // FIRST/LAST DATE

  $query = 'SELECT min(firstpostdate) as startdate, max(firstpostdate) as lastdate FROM '.TABTOPIC;
  $oDB->Query($query);
  $row = $oDB->Getrow();

  if ( empty($row['startdate']) ) $row['startdate']=strval($intYear-1).'0101';
  if ( empty($row['lastdate']) ) $row['lastdate']=strval($intYear).'1231';

  $strFirstdate = QTdatestr($row['startdate'],'$','');
  $strLastdate = QTdatestr($row['lastdate'],'$','');

  $strLastdaysago = substr($row['lastdate'],0,8);
  $strTendaysago = DateAdd($strLastdaysago,-10,'day');

$intStartyear = intval(date('Y',strtotime($row['startdate'])));
$intStartmonth = intval(date('n',strtotime($row['startdate'])));
$intEndyear = intval(date('Y'));
$intEndmonth = intval(date('n'));

$arrAllYears = array();
for ($i=$intStartyear;$i<=$intEndyear;$i++)
{
  $arrAllYears[$i]=$i;
}
$arrYears = array($intEndyear-1=>$intEndyear-1,$intEndyear=>$intEndyear);

// GLOBAL STATISTICS

include('qtf_stats_d_inc.php');

// ------
// OUTPUT
// ------

// PDF START

$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetTitle( PdfClean($L['Statistics']) );
$pdf->SetAuthor( PdfClean($_SESSION[QT]['site_name']) );
$pdf->SetSubject( PdfClean(PdfClean($L['H_Details']) );

$pdf->SetFont('Arial','B',14);
$pdf->SetTextColor(150);
$pdf->Ln();
$pdf->Cell(0, 10, PdfClean($L['H_Details']), 'T', 1, 'R');
$pdf->SetTextColor(0);

if ( $bt=='q' ) { $intWidth=16; } else { $intWidth=11; }

// Title

$pdf->SetFont('Arial','B',10);
$pdf->Cell(0, 8, PdfClean( $intYear.($s>=0 ? ' ('.$arrSections[$s].')' : '').(empty($tag) ? '' : ', '.$L['With_tag'].' '.str_replace(';',' '.$L['or'].' ',$tag)) ), '', 1);

// Table header

  $arrRow = array();
  $oCell = new cPdfCell(' ',28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true); $arrRow[]=$oCell;
  switch($bt)
  {
  case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( 'Q'.$i,                                                    $intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( $L['dateMM'][$i],                                          $intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( QTdatestr(DateAdd($strTendaysago,$i,'day'),'d/n','',false),$intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  }
  $oCell = new cPdfCell(($bt=='d' ? '10 '.strtolower($L['Days']) : PdfClean($L['Year'])),$intWidth+3,5,'C',true); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body new topic

  $arrRow = array();
  $oCell = new cPdfCell($L['New_topics'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,0,102)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrN[$intBt]) ? $arrN[$intBt] : '0'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrN[$intTotBt],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body closed topic

  $arrRow = array();
  $oCell = new cPdfCell($L['Closed_topics'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(153,0,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrC[$intBt]) ? $arrC[$intBt] : '0'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrC[$intTotBt],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body backlog

  $arrRow = array();
  $oCell = new cPdfCell($L['Backlog'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,153,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrT[$intBt]) ? $arrT[$intBt] : '0'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrT[$intTotBt],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// End table
 
$pdf->BasicTable($arrTable);
$pdf->Ln();

// GRAPH

if ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qtf_main2.css') )
{
  include('bin/qt_lib_graph.php');

  $y = $pdf->GetY();
  $x = $pdf->GetX();

  // Topics
  
  $intTopValue = 5; $i = max($arrGraphN);
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphN,false,92,30,$intTopValue,2,true,$L['New_topics'],'','1');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphN,false,92,30,$intTopValue,2,'P',$L['New_topics'].' (%)','','1');
  }

  $pdf->SetXY($x+94,$y);

  $intTopValue = 5; $i = max($arrGraphC);
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;

  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphC,false,92,30,$intTopValue,2,true,$L['Closed_topics'],'','2');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphC,false,92,30,$intTopValue,2,'P',$L['Closed_topics'].' (%)','','2');
  }

  $pdf->SetXY($x,$y+50);

  // backlog
    
  $intTopValue = 5; $i = max($arrGraphT);
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphT,false,92,30,$intTopValue,2,true,$L['Backlog'],'','3');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphT,false,92,30,$intTopValue,2,'P',$L['Backlog'].' (%)','','3');
  }

  $pdf->SetXY($x+94,$y+50);

  $intTopValue = 5; $i = array_sum($arrGraphT);
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;

  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphT,true,92,30,$intTopValue,2,true,$L['Backlog_cumul'],'','3');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphT,true,92,30,$intTopValue,2,'P',$L['Backlog_cumul'].' (%)','','3');
  }

}
else
{
  $pdf->SetFont('Arial','',8);
  $pdf->Cell(0, 10, PdfClean('Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, '.$_SESSION[QT]['skin_dir'].'/qtf_main2.css'), 'T', 1);
}

// --------
// PDF END
// --------

$pdf->Output();

?>