<?php

// QuicTalk 2.0 build:20090331

// INITIALISE

$oSYS->output='print';

$arrSections = GetSectionTitles($oVIP->role);

$arrTable = array();

$intYear = date('Y');
  if ( intval(date('n'))<2 ) $intYear--;
  if ( isset($_GET['year']) ) $intYear = intval($_GET['year']);
$arrYears = array($intYear-1=>$intYear-1,$intYear=>$intYear);

$s = -1; if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( $s>=0 ) { $strSection = 'section='.$s.' AND'; } else { $strSection=''; }

$tt = 'g';
if ( isset($_GET['tt']) ) $tt = strip_tags($_GET['tt']);
if ( isset($_POST['tt']) ) $tt = strip_tags($_POST['tt']);
$bt = 'm';
if ( isset($_GET['bt']) ) $bt = strip_tags($_GET['bt']);
if ( isset($_POST['bt']) ) $bt = strip_tags($_POST['bt']);
$gr = 'a';
if ( isset($_GET['gr']) ) $gr = strip_tags($_GET['gr']);
if ( isset($_POST['gr']) ) $gr = strip_tags($_POST['gr']);
$tr = 'a';
if ( isset($_GET['tr']) ) $tr = strip_tags($_GET['tr']);
if ( isset($_POST['gr']) ) $tr = strip_tags($_POST['tr']);

  // FIRST/LAST DATE

  $query = 'SELECT min(firstpostdate) as startdate, max(firstpostdate) as lastdate FROM '.TABTOPIC;
  $oDB->Query($query);
  $row = $oDB->Getrow();

  if ( empty($row['startdate']) ) $row['startdate']=strval($intYear-1).'0101';
  if ( empty($row['lastdate']) ) $row['lastdate']=strval($intYear).'1231';

  $strFirstdate = QTdatestr($row['startdate'],'$','');
  $strLastdate = QTdatestr($row['lastdate'],'$','');

  $strLastdaysago = substr($row['lastdate'],0,8);
  $strTendaysago = DateAdd($strLastdaysago,-10,'day');

$intStartyear = intval(date('Y',strtotime($row['startdate'])));
$intStartmonth = intval(date('n',strtotime($row['startdate'])));
$intEndyear = intval(date('Y'));
$intEndmonth = intval(date('n'));

$arrAllYears = array();
for ($i=$intStartyear;$i<=$intEndyear;$i++)
{
  $arrAllYears[$i]=$i;
}
$arrYears = array($intEndyear-1=>$intEndyear-1,$intEndyear=>$intEndyear);

if ( $bt=='q' ) { $intWidth=16; } else { $intWidth=11; }

// GLOBAL TRENDS

include('qtf_stats_gt_inc.php');

function Trend($tr='a',$i,$j)
{
  if ( !isset($i) ) return null;
  $i = $i-$j;
  if ( $tr=='p' && $i!=0 )
  {
    if ( $j==0 ) $j=1;
    $i = intval(($i/$j)*100);
  }
  return $i;
}

// ------
// PDF START
// ------

$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetTitle( PdfClean($L['Statistics']) );
$pdf->SetAuthor( PdfClean($_SESSION[QT]['site_name']) );
$pdf->SetSubject( PdfClean(PdfClean($L['H_Global_trends']) );

$pdf->SetFont('Arial','B',14);
$pdf->SetTextColor(150);
$pdf->Ln();
$pdf->Cell(0, 10, PdfClean($L['H_Global_trends']), 'T', 1, 'R');
$pdf->SetTextColor(0);

$pdf->SetFont('Arial','B',10);
$pdf->Cell(0, 8, PdfClean(($intCurrentYear-1).' - '.$intCurrentYear.($s>=0 ? ' ('.$arrSections[$s].')' : '').(empty($tag) ? '' : ', '.$L['With_tag'].' '.str_replace(';',' '.$L['or'].' ',$tag))), '', 1);

// -----
foreach(array($intCurrentYear-1,$intCurrentYear) as $intYear) {
// -----

$arrTable = array();

// Table header

  $arrRow = array();
  $oCell = new cPdfCell($intYear,28,5,'',true); $oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true); $arrRow[]=$oCell;
  switch($bt)
  {
  case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( 'Q'.$i,                                                    $intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( $L['dateMM'][$i],                                          $intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( QTdatestr(DateAdd($strTendaysago,$i,'day'),'d/n',''),$intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  }
  $oCell = new cPdfCell(($bt=='d' ? '10 '.strtolower($L['Days']) : PdfClean($L['Year'])),$intWidth+3,5,'C',true); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body topics

  $arrRow = array();
  $oCell = new cPdfCell($L['Topics'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ', 4, 5,'',true,array(0,0,102)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrT[$intYear][$intBt]) ? $arrT[$intYear][$intBt] : '0'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrT[$intYear][$intTotBt],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body messages

  $arrRow = array();
  $oCell = new cPdfCell($L['Messages'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ', 4, 5,'',true,array(153,0,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrM[$intYear][$intBt]) ? $arrM[$intYear][$intBt] : '0'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrM[$intYear][$intTotBt],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body users

  $arrRow = array();
  $oCell = new cPdfCell($L['Users'].'*',28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ', 4, 5,'',true,array(0,153,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrU[$intYear][$intBt]) ? $arrU[$intYear][$intBt] : '0'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrU[$intYear][$intTotBt],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Show table
 
$pdf->BasicTable($arrTable);
$pdf->Ln(1);

// -----
}
// -----

$arrTable = array();

// Table header

  $arrRow = array();
  $oCell = new cPdfCell($L['Trends'],28,5,'',true); $oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true); $arrRow[]=$oCell;
  switch($bt)
  {
  case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( 'Q'.$i,                                                    $intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( $L['dateMM'][$i],                                          $intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( QTdatestr(DateAdd($strTendaysago,$i,'day'),'d/n',''),$intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  }
  $oCell = new cPdfCell(($bt=='d' ? '10 '.strtolower($L['Days']) : PdfClean($L['Year'])),$intWidth+3,5,'C',true); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body topic

  $arrRow = array();
  $oCell = new cPdfCell($L['Topics'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,0,102)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
    $oCell = new cPdfCell('0',$intWidth);
    $i = Trend($tr, (isset($arrT[$intCurrentYear][$intBt]) ? $arrT[$intCurrentYear][$intBt] : null), (isset($arrT[$intCurrentYear-1][$intBt]) ? $arrT[$intCurrentYear-1][$intBt] : 0) );
    if ( isset($i) )
    {
      $oCell->s = $i.($tr=='p' ? '%' : '');
      if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
      if ( $i<0 ) { $oCell->color=array(0,255,0); $oCell->s = '-'.$oCell->s; }
    }
    else
    {
      $oCell->s = '.';
    }
    $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell('0',$intWidth); $oCell->font=array('Arial','B',8);
  $i = Trend($tr, (isset($arrT[$intCurrentYear][$intTotBt]) ? $arrT[$intCurrentYear][$intTotBt] : null), (isset($arrT[$intCurrentYear-1][$intTotBt]) ? $arrT[$intCurrentYear-1][$intTotBt] : 0) );
  if ( isset($i) )
  {
    $oCell->s = $i.($tr=='p' ? '%' : '');
    if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
    if ( $i<0 ) { $oCell->color=array(0,255,0); $oCell->s = '-'.$oCell->s; }
  }
  else
  {
    $oCell->s = '.';
  }
  $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body messages

  $arrRow = array();
  $oCell = new cPdfCell($L['Messages'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(153,0,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
    $oCell = new cPdfCell('0',$intWidth);
    $i = Trend($tr, (isset($arrM[$intCurrentYear][$intBt]) ? $arrM[$intCurrentYear][$intBt] : null), (isset($arrM[$intCurrentYear-1][$intBt]) ? $arrM[$intCurrentYear-1][$intBt] : 0) );
    if ( isset($i) )
    {
      $oCell->s = $i.($tr=='p' ? '%' : '');
      if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
      if ( $i<0 ) { $oCell->color=array(0,255,0); $oCell->s = '-'.$oCell->s; }
    }
    else
    {
      $oCell->s = '.';
    }
    $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell('0',$intWidth); $oCell->font=array('Arial','B',8);
  $i = Trend($tr, (isset($arrM[$intCurrentYear][$intTotBt]) ? $arrM[$intCurrentYear][$intTotBt] : null), (isset($arrM[$intCurrentYear-1][$intTotBt]) ? $arrM[$intCurrentYear-1][$intTotBt] : 0) );
  if ( isset($i) )
  {
    $oCell->s = $i.($tr=='p' ? '%' : '');
    if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
    if ( $i<0 ) { $oCell->color=array(0,255,0); $oCell->s = '-'.$oCell->s; }
  }
  else
  {
    $oCell->s = '.';
  }
  $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body users

  $arrRow = array();
  $oCell = new cPdfCell($L['Users'].'*',28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,153,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
    $oCell = new cPdfCell('0',$intWidth);
    $i = Trend($tr, (isset($arrU[$intCurrentYear][$intBt]) ? $arrU[$intCurrentYear][$intBt] : null), (isset($arrU[$intCurrentYear-1][$intBt]) ? $arrU[$intCurrentYear-1][$intBt] : 0) );
    if ( isset($i) )
    {
      $oCell->s = $i.($tr=='p' ? '%' : '');
      if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
      if ( $i<0 ) { $oCell->color=array(0,255,0); $oCell->s = '-'.$oCell->s; }
    }
    else
    {
      $oCell->s = '.';
    }
    $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell('0',$intWidth); $oCell->font=array('Arial','B',8);
  $i = Trend($tr, (isset($arrU[$intCurrentYear][$intTotBt]) ? $arrU[$intCurrentYear][$intTotBt] : null), (isset($arrU[$intCurrentYear-1][$intTotBt]) ? $arrU[$intCurrentYear-1][$intTotBt] : 0) );
  if ( isset($i) )
  {
    $oCell->s = $i.($tr=='p' ? '%' : '');
    if ( $i>0 ) { $oCell->color=array(255,0,0); $oCell->s = '+'.$oCell->s; }
    if ( $i<0 ) { $oCell->color=array(0,255,0); $oCell->s = '-'.$oCell->s; }
  }
  else
  {
    $oCell->s = '.';
  }
  $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// End table
 
$pdf->BasicTable($arrTable);
$pdf->Ln(3);

$pdf->SetTextColor(0);

// GRAPH

if ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qtf_main2.css') )
{
  include('bin/qt_lib_graph.php');

  $y = $pdf->GetY();
  $x = $pdf->GetX();

  // TOPIC first serie
  
  $intYear = $intCurrentYear-1;
  $intTopValue = 5; $i = max(max($arrGraphT[$intYear]),max($arrGraphT[$intCurrentYear]));
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
    
  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphT[$intYear],false,92,30,$intTopValue,2,true,$L['Topics_per_'.$bt].' '.$intYear,'','1');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphT[$intYear],false,92,30,$intTopValue,2,'P',$L['Topics_per_'.$bt].' (%)'.' '.$intYear,'','1');
  }

  $pdf->SetXY($x+94,$y);

  // TOPIC second serie

  $intYear = $intCurrentYear;
  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphT[$intYear],false,92,30,$intTopValue,2,true,$L['Topics_per_'.$bt].' '.$intYear,'','1');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphT[$intYear],false,92,30,$intTopValue,2,'P',$L['Topics_per_'.$bt].' (%)'.' '.$intYear,'','1');
  }
  
  $pdf->SetXY($x,$y+47);

  // MESSAGES first serie
  
  $intYear = $intCurrentYear-1;
  $intTopValue = 5; $i = max(max($arrGraphM[$intYear]),max($arrGraphM[$intCurrentYear]));
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
    
  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphM[$intYear],false,92,30,$intTopValue,2,true,$L['Topics_per_'.$bt].' '.$intYear,'','2');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphM[$intYear],false,92,30,$intTopValue,2,'P',$L['Topics_per_'.$bt].' (%)'.' '.$intYear,'','2');
  }

  $pdf->SetXY($x+94,$y+47);

  // MESSAGES second serie

  $intYear = $intCurrentYear;
  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphM[$intYear],false,92,30,$intTopValue,2,true,$L['Messages_per_'.$bt].' '.$intYear,'','2');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphM[$intYear],false,92,30,$intTopValue,2,'P',$L['Messages_per_'.$bt].' (%)'.' '.$intYear,'','2');
  }
  
  $pdf->SetXY($x,$y+94);

  // USERS first serie
  
  $intYear = $intCurrentYear-1;
  $intTopValue = 5; $i = max(max($arrGraphU[$intYear]),max($arrGraphU[$intCurrentYear]));
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
    
  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphU[$intYear],false,92,30,$intTopValue,2,true,$L['Users_per_'.$bt].' '.$intYear,'','3');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphU[$intYear],false,92,30,$intTopValue,2,'P',$L['Users_per_'.$bt].' (%)'.' '.$intYear,'','3');
  }

  $pdf->SetXY($x+94,$y+94);

  // USERS second serie

  $intYear = $intCurrentYear;
  if ( $gr=='a' ) 
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphU[$intYear],false,92,30,$intTopValue,2,true,$L['Users_per_'.$bt].' '.$intYear,'','3');
  }
  else
  {
  $pdf = QTsimplegraphpdf($pdf,$arrGraphU[$intYear],false,92,30,$intTopValue,2,'P',$L['Users_per_'.$bt].' (%)'.' '.$intYear,'','3');
  }
  
  $pdf->SetXY($x,$y+138);
}
else
{
  $pdf->SetFont('Arial','',8);
  $pdf->Cell(0, 10, PdfClean('Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, '.$_SESSION[QT]['skin_dir'].'/qtf_main2.css'), 'T', 1);
}

// Note

$pdf->SetFont('Arial','',8);
$pdf->Cell(0, 10, '* '.PdfClean($L['Distinct_users']), '', 1);

// --------
// PDF END
// --------

$pdf->Output();

?>