<?php

// QuickTalk 2.0 build:20090331

if ( !defined('QTF_HTML_DTD') )  define ('QTF_HTML_DTD',  '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/2002/REC-xhtml1-20020801/DTD/xhtml1-strict.dtd">');
if ( !defined('QTF_HTML_CHAR') ) define ('QTF_HTML_CHAR', 'iso-8859-1');
if ( !defined('QTF_HTML_DIR') )  define ('QTF_HTML_DIR', 'ltr');
if ( !defined('QTF_HTML_LANG') ) define ('QTF_HTML_LANG', 'fr');

// Is is recommended to always use capital on first letter in the translation, script changes to lower case if necessary.
// The character doublequote ["] is FORBIDDEN (reserved for html tags)
// To make a single quote use slashe [\']

// -------------
// TOP LEVEL VOCABULARY
// -------------

// Use the top level vocabulary to give the most appropriate name
// for the topics (object items) managed by this application.
// e.g. Ticket, Incident, Subject, Thread, Request, Faq,...

$L['Topic']='Sujet';
$L['Topics']='Sujets';
$L['topic']=strtolower($L['Topic']);
$L['topics']=strtolower($L['Topics']);

// The top level words are re-used in a lot of translations defined here after

$L['Y']='Oui';
$L['N']='Non';
$L['Ok']='Ok';

// Specific vocabulary

$L['Domain']='Domaine';
  $L['Domains']='Domaines';
$L['Section']='Forum';
  $L['Sections']='Forums';
$L['Topic_add']='Nouveau sujet';
  $L['Topic_del']='Effacer le sujet';
  $L['Topic_upd']='Modifier le sujet';
$L['User']='Utilisateur';
  $L['Users']='Utilisateurs';
  $L['User_add']='Nouvel utilisateur';
  $L['User_del']='Effacer l\'utilisateur';
  $L['User_upd']='Editer le profil';
$L['Status']='Statut';
$L['Message']='Message';
  $L['Messages']='Messages';
  $L['Message_deleted']='Message effac&eacute;...';
$L['Forward']='Transfers';
  $L['Forwards']='Transfers';
$L['First_message']='Premier&nbsp;message';
$L['Last_message']='Dernier&nbsp;message';
$L['Reply']='Reponse';
$L['Replys']='Reponses';
$L['Attachment']='Document';
$L['News']='News';
$L['Newss']='News'; // In other languages: News=One news, Newss=Several news
$L['News_stamp']='News: ';
$L['Ref']='Ref.';
$L['Title']='Titre';
$L['Smiley']='Emoticone';

$L['Username']='Nom d\'utilisateur';
  $L['Userrole']['A']='Administrateur';    $L['Userroles']['A']='Administrateurs';
  $L['Userrole']['M']='Mod&eacute;rateur'; $L['Userroles']['M']='Mod&eacute;rateurs';
  $L['Userrole']['U']='Membre';        $L['Userroles']['U']='Membres';
  $L['Userrole']['V']='Visiteur';       $L['Userroles']['V']='Visiteurs';
  $L['Userrole_MF']='M&eacute;diateur de section';
$L['Joined']='Depuis';
$L['Avatar']='Avatar';
$L['Signature']='Signature';
$L['Role']='R&ocirc;le';
$L['Topic_starter']='Initiateur';
$L['Modified_by']='Modifi&eacute; par';
$L['Deleted_by']='Effac&eacute; par';
$L['Top_participants']='Top participants';
$L['Section_moderator']='Mod&eacute;rateur du forum';

// Common

$L['Add']='Ajouter';
$L['Advanced_reply']='Pr&eacute;visualisation...';
$L['All']='Tous';
$L['Birthday']='Date de naissance';
$L['Birthdays_calendar']='Calendrier des anniversaires';
$L['Birthdays_today']='Joyeux anniversaire';
$L['By']='Par';
$L['Change']='Changer';
$L['Change_status']='Changer le statut...';
$L['Change_type']='Changer le type...';
$L['Close']='Fermer';
$L['Closed']='Ferm&eacute;';
$L['Containing']='Contenant';
$L['Date']='Date';
$L['Dates']='Dates';
$L['Day']='Jour';
$L['Days']='Jours';
$L['Delete_tags']='Effacer (clickez un tag, ou tappez * pour tout effacer)';
$L['Destination']='Destination';
$L['Details']='D&eacute;tails';
$L['Display_at']='Afficher &agrave; la date';
$L['Email']='E-mail';
$L['Exit']='Exit';
$L['First']='Premi&egrave;re';
$L['Goto']='Allez';
$L['H_Website']='Url avec http://';
$L['Help']='Aide';
$L['Hidden']='Cach&eacute;';
$L['I_wrote']='J\'ai &eacute;crit';
$L['Information']='Information';
$L['Items_per_month']='Sujets par mois';
$L['Items_per_month_cumul']='Cumul des sujets par mois';
$L['Last']='Derni&egrave;re';
$L['Legend']='L&eacute;gende';
$L['Location']='Localisation';
$L['Maximum']='Maximum';
$L['Minimum']='Minimum';
$L['Month']='Mois';
$L['Next']='Suivante';
$L['None']='Aucun';
$L['Options']='Options';
$L['Opened']='Ouvert';
$L['or']='ou';
$L['Page']='page';
$L['Pages']='pages';
$L['Phone']='T&eacute;l&eacute;phone';
$L['Preview']='Pr&eacute;visualisation';
$L['Previous']='Pr&eacute;c&eacute;dente';
$L['Privacy']='Vie priv&eacute;e';
$L['Reason']='Raison';
$L['Remove']='Enlever';
$L['Result']='R&eacute;sultat';
$L['Results']='R&eacute;sultats';
$L['Save']='Sauver';
$L['Seconds']='Secondes';
$L['Selected_from']='s&eacute;lectionn&eacute;s sur';
$L['Send']='Envoyer';
$L['Send_on_behalf']='Au nom de';
$L['Tag']='Tag';
$L['Tags']='Tags';
$L['Time']='Heure';
$L['Total']='Total';
$L['Type']='Type';
$L['Website']='Site web';
$L['Welcome_to']='Bienvenue &agrave; un nouveau membre, ';
$L['Year']='Ann&eacute;e';

// Menu

$L['FAQ']='FAQ';
$L['Search']='Chercher';
$L['Memberlist']='Membres';
$L['Login']='Connexion';
$L['Logout']='D&eacute;connexion';
$L['Register']='S\'enregistrer';
$L['Profile']='Profil';
$L['Administration']='Administration';
$L['Legal']='Notices&nbsp;l&eacute;gales';
$L['Coppa_form']='Formulaire Coppa';

// Section

$L['Post_new_topic']='Nouveau&nbsp;sujet'; // use &nbsp; as space to avoid double ligne buttons
$L['Post_reply']='Repondre'; // use &nbsp; as space to avoid double ligne buttons
$L['Goto_message']='[<b>&raquo;</b>]';
$L['H_Goto_message']='Voir le dernier message';
$L['Topic_closed']='Sujet&nbsp;ferm&eacute;'; // use &nbsp; as space to avoid double ligne buttons
$L['Topic_re-opened']='Sujet r&eacute;-ouvert';
$L['Topic_moved']='Sujet d&eacute;plac&eacute;';
$L['Topic_deleted']='Sujet effac&eacute;';
$L['Close_my_topic']='Je ferme mon sujet';
$L['You_reply']='Vous avez r&eacute;pondu';
$L['Views']='Vues';
$L['Quote']='Citer';
$L['Edit']='Editer';
$L['Delete']='Effacer';
$L['Move']='D&eacute;placer';
$L['Move_to']='D&eacute;placer vers';
$L['Quick_reply']='Reponse rapide';
$L['Previous_replies']='Messages pr&eacute;c&eacute;dents';
$L['Close_topic']='Fermer le sujet';
$L['Edit_message']='Editer le message';
$L['Delete_message']='Effacer le message';
$L['Message_deleted']='Message effac&eacute;...';
$L['Users_deleted']='Membres effac&eacute;s...';
$L['Move_keep']='Conserver la r&eacute;f&eacute;rence originale';
$L['Move_reset']='Remettre la r&eacute;f&eacute;rence &agrave; z&eacute;ro';
$L['Move_follow']='Renum&eacute;rot&eacute; (suivant le forum de destination)';
$L['Topic_closed_show']='Montrer les sujets ferm&eacute;s';
$L['Topic_closed_hide']='Masquer les sujets ferm&eacute;s';
$L['Topic_news_show']='Montrer les news';
$L['Topic_news_hide']='Masquer les news';
$L['Last_column']='Extra colonne';

// Search

$L['Recent_messages']='Messages&nbsp;r&eacute;cents';
$L['All_news']='Toutes les news';
$L['All_my_topics']='Tous mes sujets';
$L['Keywords']='Mot(s) cl&eacute;';
$L['Search_option']='Option de recherche';
$L['Search_criteria']='Crit&egrave;re de recherche';
$L['Any_time']='Toute date';
$L['Any_status']='Tout statut';

$L['Search_by_key']='Chercher par mot(s) cl&eacute;';
$L['Search_by_ref']='Chercher par num&eacute;ro';
$L['Search_by_date']='Chercher par date';

$L['Search_result']='R&eacute;sultat de la recherche';
$L['In_title_only']='Dans le titre uniquement';
$L['In_all_sections']='Dans tous les forums';
$L['H_Reference']='(entrez seulement la partie num&eacute;rique)';
$L['Too_many_keys']='Trop de mots cl&eacute;s';
$L['Search_by_words']='Chercher chaque mot s&eacute;par&eacute;ment';
$L['Search_exact_words']='Chercher les mots ensemble';
$L['This_week']='Cette semaine';
$L['This_month']='Ce mois';
$L['This_year']='Cette ann&eacute;e';
$L['With_tag']= 'Tag';
$L['Show_only_tag']='Afficher seulement ceux ayant le tag';
$L['H_Tag_input']='Vous pouvez indiquer plusieurs tags s&eacute;par&eacute;s par un point-virgule (ex.: t1;t2 recherche les sujets de tags "t1" ou "t2"). Laissez le champ vide pour ne pas tenir compte des tags.';

// Stats

$L['Statistics']='Statistiques';
$L['General_site']='Site en g&eacute;neral';
$L['Section_start_date']='Date de d&eacute;but';
$L['Distinct_users']='Utilisateurs diff&eacute;rents (ayant post&eacute;s un message)';

// Restrictions

$L['R_login_register']='Acc&egrave;s r&eacute;serv&eacute; aux seuls membres...<br/><br/>Veuillez vous connecter pour pouvoir continuer. Pour devenir membre, utilisez le menu s\'enregistrer.';
$L['R_member']='Acc&egrave;s r&eacute;serv&eacute; aux seuls membres.';
$L['R_staff']='Acc&egrave;s r&eacute;serv&eacute; aux seuls mod&eacute;rateurs.';
$L['R_security']='Les param&egrave;tres de s&eacute;curit&eacute;s ne permettent pas d\'utiliser cette fonction.';

// Errors

$L['E_access']='Acc&egrave;s refus&eacute;...';
$L['E_char_max']='(maximum %d caracteres)';
$L['E_editing']='Des donn&eacute;es sont modifi&eacute;es. Quitter sans sauver?';
$L['E_invalid']='erron&eacute;';
$L['E_javamail']='Protection: activez java pour voir les adresses e-mail';
$L['E_line_max']='(maximum %d lignes)';
$L['E_mandatory']='Un champ obligatoire est vide';
$L['E_missing_http']='l\'url doit commencer par http:// ou https://';
$L['E_no_desc']='Aucune description';
$L['E_no_public_section']='Le site ne contient pas de forum publique. Pour acc&eacute;der aux forums priv&eacute;s, vous devez vous identifier.';
$L['E_no_title']='Veuillez donner un titre &agrave; ce nouveau sujet';
$L['E_section_closed']='Forum&nbsp;ferm&eacute;'; // use &nbsp; as space to avoid double ligne buttons
$L['E_text']='Probl&egrave;me avec votre texte.';
$L['E_too_long']='Message trop long';
$L['E_too_much']='Trop de messages aujourd\'hui...<br/><br/>Pour des raisons de s&eacute;curit&eacute;, le nombre de messages est limit&eacute;. Essayez &agrave; nouveau demain. Merci de votre compr&eacute;hension.';
$L['E_topic_private']='(ou les sujets sont priv&eacute;s)';
$L['E_wait']='Veuillez patienter quelques secondes...';

// Success

$L['S_update']='Changement effectu&eacute;...';
$L['S_delete']='Effacement effectu&eacute;...';
$L['S_insert']='Cr&eacute;ation termin&eacute;e...';
$L['S_save']='Savegarde r&eacute;ussie...';
$L['S_message_saved']='Message sauv&eacute;...<br/>Merci';

// Timezones

$L['dateMMM']=array(1=>'Janvier','F&eacute;vrier','Mars','Avril','Mai','Juin','Juillet','Aout','Septembre','Octobre','Novembre','D&eacute;cembre');
$L['dateMM']=array(1=>'Jan','F&eacute;v','Mars','Avr','Mai','Juin','Juil','Aout','Sept','Oct','Nov','D&eacute;c');
$L['dateM']=array(1=>'J','F','M','A','M','J','J','A','S','O','N','D');
$L['dateDDD']=array(1=>'Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi','Dimanche');
$L['dateDD']=array(1=>'Mon','Tue','Wed','Thu','Fri','Sat','Sun');
$L['dateD']=array(1=>'L','M','M','J','V','S','D');
$L['dateSQL']=array(
  'January'  => 'Janvier',
  'February' => 'F&eacute;vrier',
  'March'    => 'Mars',
  'April'    => 'Avril',
  'May'      => 'Mai',
  'June'     => 'Juin',
  'July'     => 'Juillet',
  'August'   => 'Aout',
  'September'=> 'Septembre',
  'October'  => 'Octobre',
  'November' => 'Novembre',
  'December' => 'D&eacute;cembre',
  'Monday'   => 'Lundi',
  'Tuesday'  => 'Mardi',
  'Wednesday'=> 'Mercredi',
  'Thursday' => 'Jeudi',
  'Friday'   => 'Vendredi',
  'Saturday' => 'Samedi',
  'Sunday'   => 'Dimanche',
  'Today'=>'Aujourd\'hui',
  'Yesterday'=>'Hier',
  'Jan'=>'Jan',  
  'Feb'=>'F&eacute;v',  
  'Mar'=>'Mar',
  'Apr'=>'Avr',  
  'May'=>'Mai',  
  'Jun'=>'Jun',  
  'Jul'=>'Jul',  
  'Aug'=>'Aout',  
  'Sep'=>'Sept',  
  'Oct'=>'Oct',  
  'Nov'=>'Nov',  
  'Dec'=>'D&eacute;c',  
  'Mon'=>'Lu',   
  'Tue'=>'Ma',   
  'Wed'=>'Me',   
  'Thu'=>'Je',   
  'Fri'=>'Ve',   
  'Sat'=>'Sa',   
  'Sun'=>'Di');
  
?>